UserPhoneNumbers
Retrieves user phone numbers
Retrieves all phone numbers for the specified user
GET
/
v1
/
users
/
{user_id}
/
phone_numbers
Retrieves user phone numbers
curl --request GET \
--url https://api.rootly.com/v1/users/{user_id}/phone_numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/users/{user_id}/phone_numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/users/{user_id}/phone_numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "user_phone_numbers",
"attributes": {
"user_id": 123,
"phone": "<string>",
"primary": true,
"verified_at": "2023-11-07T05:31:56Z",
"verification_attempts_today": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I
Retrieves user phone numbers
